@use '../../../../styles/helpers/breakpoints';

:host {
  display: flex;
  flex-direction: column;
  row-gap: 0.25rem;
}

.manga-header {
  display: grid;
  grid-template-areas:
    'cover info'
    'cover stats'
    'cover tags'
    'actions actions'
    'description description';

  grid-template-columns: minmax(125px, 200px) auto;
  grid-template-rows: repeat(auto-fill, minmax(15%, 1fr));

  gap: 0.5rem;

  @include breakpoints.sm {
    grid-template-areas:
    'cover info'
    'cover stats'
    'cover tags'
    'cover actions'
    'cover .'
    'description description';

    grid-template-columns: 200px auto;

    column-gap: 2rem;
  }
}

moe-manga-cover {
  grid-area: cover;
}

.info {
  grid-area: info;

  display: flex;
  flex-direction: column;

  .title {
    font: var(--mat-sys-headline-medium);
    font-weight: bold;
    margin: 0;

    @include breakpoints.sm {
      font: var(--mat-sys-display-large);
      font-weight: bold;
    }
  }

  .original-title {
    font: var(--mat-sys-body-large);
  }

  .author {
    font: var(--mat-sys-body-large);
  }
}

.stats {
  grid-area: stats;
  margin-top: auto;

  display: flex;
  align-items: center;
  column-gap: 0.5rem;
}

moe-manga-tags {
  grid-area: tags;
}

.manga-actions-group {
  grid-area: actions;

  display: flex;
  column-gap: 0.5rem;
}
